Subject: RE: [Sipping] playing announcement during conversation

From: "Elwell, John" <[email-masked]>
Date: Thu, 21 Dec 2006 11:36:39 +0000

Preeti,

I can't answer your question without obtaining further information - see
below.

John 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] 
> Sent: 21 December 2006 10:54
> To: [email-masked]
> Subject: [Sipping] playing announcement during conversation
> 
> Hi,
>     I'm working on pre-paid calling card service in NGN network for a 
> customer. Customer's requirement is to play a warning pre-disconnect 
> tone/announcement to the calling user in case when his credit 
> card limit 
> threshold is getting reached during call supervision. So in this 
> scenario calling user A and called user B is already in 
> conversation and 
> Application server  needs to play an announcement to User A (through 
> MRF). The network architecture consists of direct 
> communication between 
> Application Server and MRF.
[JRE] The requirement does not state whether B is to continue receiving
media from user A while A listens to the announcement. Also, if the
announcement is in a medium that is a subset of the media in use between A
and B, what happens to those other media during the announcement? For
example, if the announcement uses only audio, what happens to any video or
MSRP media between A and B?

> 
> I wanted to know what are the possible ways of doing this 
> using the SIP 
> capabilities. One of the ways that I can think of is:
> "Application Server puts User B on "hold" (without playing any music) 
> and sends a "Invite" to MRF to establish a media session with 
> User A and 
> to play the announcement (indicated using "Info" method). When done 
> Application server sends Re-Invite to User B and again establishes a 
> media session between A and B."
> 
> But I'm keen to know whether it is possible to play 
> tone/announcement to 
> User A without putting B on hold and at the same time without 
> making B 
> to listen this announcement, i.e.  by  just connecting MRF to 
> User A and 
> then after the announcement is played connect A to B. The packet 
> received from B in the meantime when A is being played the 
> announcement, 
> will be dropped in UA- A as it  won't be listening on the 
> port on which 
> B is sending the media.. which, I think, is acceptable and in 
> line with 
> the behavior in PSTN network.
> Pl  let me know your thoughts.
[JRE] Why would A not be listening on the port to which it has instructed B
to send media? How do you envisage instructing A to assign a different port
for listening to the announcement? A fresh offer-answer exchange with A will
probably not result in A changing port.

> 
> Regds,
> Preeti Agrawal
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Bukhari, Irshad Ahmed I \(Irshad Ahmed\)" <[email-masked]>
Date: Thu, 21 Dec 2006 17:31:41 +0530

Preeti,

	Is it possible to use "3-way Conference - Third Party Joins"
support? Will it helps you for your fulfill your requirement? Refer
http://www1.ietf.org/internet-drafts/draft-ietf-sipping-service-examples
-11.txt 

Regards,
Irshad 

-----Original Message-----
From: Elwell, John [mailto:[email-masked]] 
Sent: Thursday, December 21, 2006 5:07 PM
To: AGRAWAL, PREETI (PREETI)** CTR **; [email-masked]
Subject: RE: [Sipping] playing announcement during conversation

Preeti,

John 

> tone/announcement to the calling user in case when his credit card 
> limit threshold is getting reached during call supervision. So in this

> scenario calling user A and called user B is already in conversation 
> and Application server  needs to play an announcement to User A 
> (through MRF). The network architecture consists of direct 
> communication between Application Server and MRF.
[JRE] The requirement does not state whether B is to continue receiving
media from user A while A listens to the announcement. Also, if the
announcement is in a medium that is a subset of the media in use between
A and B, what happens to those other media during the announcement? For
example, if the announcement uses only audio, what happens to any video
or MSRP media between A and B?

> 
> I wanted to know what are the possible ways of doing this using the 
> SIP capabilities. One of the ways that I can think of is:
> and sends a "Invite" to MRF to establish a media session with User A 
> and to play the announcement (indicated using "Info" method). When 
> done Application server sends Re-Invite to User B and again 
> establishes a media session between A and B."
> 
> But I'm keen to know whether it is possible to play tone/announcement 
> to User A without putting B on hold and at the same time without 
> making B to listen this announcement, i.e.  by  just connecting MRF to

> User A and then after the announcement is played connect A to B. The 
> packet received from B in the meantime when A is being played the 
> announcement, will be dropped in UA- A as it  won't be listening on 
> the port on which B is sending the media.. which, I think, is 
> acceptable and in line with the behavior in PSTN network.
[JRE] Why would A not be listening on the port to which it has
instructed B to send media? How do you envisage instructing A to assign
a different port for listening to the announcement? A fresh offer-answer
exchange with A will probably not result in A changing port.

> This list is for NEW development of the application of SIP Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP Use
[email-masked] for questions on current sip Use
[email-masked] for new developments of core SIP